## org.apache.lucene.queryparser.flexible.core.nodes
Class TokenizedPhraseQueryNode

    java.lang.Object
      org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl
          org.apache.lucene.queryparser.flexible.core.nodes.TokenizedPhraseQueryNode

All Implemented Interfaces:
  Cloneable, FieldableNode, QueryNode

    public class TokenizedPhraseQueryNode

extends QueryNodeImpl
implements FieldableNode

A `TokenizedPhraseQueryNode` represents a node created by a code that tokenizes/lemmatizes/analyzes.

Field Summary

Fields inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl
`PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

Constructor Summary
`TokenizedPhraseQueryNode()`

Method Summary
`QueryNode` `cloneTree()` Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method
`CharSequence` `getField()` Returns the field associated to the node and every node under it.
`void` `setField(CharSequence fieldName)` Associates the node to a field.
`CharSequence` `toQueryString(EscapeQuerySyntax escapeSyntaxParser)` convert to a query string understood by the query parser
`String` `toString()` Every implementation of this class should return pseudo xml like this: For FieldQueryNode: <field start='1' end='2' field='subject' text='foo'/>

Methods inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl
`add, add, allocate, clone, containsTag, getChildren, getParent, getTag, getTagMap, isDefaultField, isLeaf, isRoot, set, setLeaf, setTag, unsetTag`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.lucene.queryparser.flexible.core.nodes.QueryNode
`add, add, containsTag, getChildren, getParent, getTag, getTagMap, isLeaf, set, setTag, unsetTag`

Constructor Detail

### TokenizedPhraseQueryNode

    public TokenizedPhraseQueryNode()

Method Detail

### toString

    public String toString()

  Description copied from class: `QueryNodeImpl`
  Every implementation of this class should return pseudo xml like this: For FieldQueryNode: <field start='1' end='2' field='subject' text='foo'/>

  Specified by:
    `toString` in interface `QueryNode`
  Overrides:
    `toString` in class `QueryNodeImpl`
  See Also:
    `QueryNode.toString()`

### toQueryString

    public CharSequence toQueryString(EscapeQuerySyntax escapeSyntaxParser)

  Description copied from interface: `QueryNode`
  convert to a query string understood by the query parser

  Specified by:
    `toQueryString` in interface `QueryNode`

### cloneTree

    public QueryNode cloneTree()
                        throws CloneNotSupportedException

  Description copied from interface: `QueryNode`
  Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method

  Specified by:
    `cloneTree` in interface `QueryNode`
  Overrides:
    `cloneTree` in class `QueryNodeImpl`
  Returns:
    the cloned tree
  Throws:
    `CloneNotSupportedException`

### getField

    public CharSequence getField()

  Description copied from interface: `FieldableNode`
  Returns the field associated to the node and every node under it.

  Specified by:
    `getField` in interface `FieldableNode`
  Returns:
    the field name

### setField

    public void setField(CharSequence fieldName)

  Description copied from interface: `FieldableNode`
  Associates the node to a field.

  Specified by:
    `setField` in interface `FieldableNode`
  Parameters:
    `fieldName` - the field name

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.